org.thewonderlemming.c4plantuml.grammars

## Class C4BaseListener

- java.lang.Object
- - org.thewonderlemming.c4plantuml.grammars.C4BaseListener

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTreeListener, C4L1ParserListenerDecorator, C4L2ParserListenerDecorator, C4L3ParserListenerDecorator, org.thewonderlemming.c4plantuml.grammars.generated.C4L1ParserListener, org.thewonderlemming.c4plantuml.grammars.generated.C4L2ParserListener, org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener
  Direct Known Subclasses:
    AliasesShouldBeListedInDictionaryListener, AliasesShouldBeUniqueListener, AliasesShouldFollowStandardConventionListener, NoDuplicateRelationshipsListener, NoOrphanAliasInBoundariesListener, NoOrphanAliasInLayoutsListener, NoOrphanAliasInRelationshipsListener

      public class C4BaseListener
      extends Object
      implements C4L1ParserListenerDecorator, C4L2ParserListenerDecorator, C4L3ParserListenerDecorator

  A simple `ParseTreeListener` that implements `C4L1ParserListener`, `C4L2ParserListener` and `C4L3ParserListener` to be able to parse every C4 grammar files using the same class.

  The default behavior of the methods is to do nothing. You have to override them if you need a specific processing.

  Author:
    thewonderlemming

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C4BaseListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enterEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)` Enters a parse tree.
    `void` | `exitEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)` Exits a parse tree.
    `org.thewonderlemming.c4plantuml.grammars.generated.C4L1ParserListener` | `getDecoratedC4L1ParserListener()` returns the instance of the `C4L1ParserListener` being decorated.
    `org.thewonderlemming.c4plantuml.grammars.generated.C4L2ParserListener` | `getDecoratedC4L2ParserListener()` returns the instance of the `C4L2ParserListener` being decorated.
    `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener` | `getDecoratedC4L3ParserListener()` returns the instance of the `C4L3ParserListener` being decorated.
    `void` | `visitErrorNode(org.antlr.v4.runtime.tree.ErrorNode node)` Visits a `ErrorNode`.
    `void` | `visitTerminal(org.antlr.v4.runtime.tree.TerminalNode node)` Visits a `TerminalNode`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.thewonderlemming.c4plantuml.grammars.C4L1ParserListenerDecorator

      `enterBoundary, enterCloud, enterComma, enterDiagram, enterEnterprise_boundary, enterFooter, enterInclude, enterL1_title, enterLayout, enterPerson_ext, enterPerson, enterRelationship, enterStatement, enterSystem_ext, enterSystem, enterTitle, exitBoundary, exitCloud, exitComma, exitDiagram, exitEnterprise_boundary, exitFooter, exitInclude, exitL1_title, exitLayout, exitPerson_ext, exitPerson, exitRelationship, exitStatement, exitSystem_ext, exitSystem, exitTitle`

    - ### Methods inherited from interface org.thewonderlemming.c4plantuml.grammars.C4L2ParserListenerDecorator

      `enterBoundary, enterCloud, enterComma, enterContainer, enterDiagram, enterEnterprise_boundary, enterFooter, enterInclude, enterL2_title, enterLayout, enterPerson_ext, enterPerson, enterRelationship, enterStatement, enterSystem_boundary, enterSystem_ext, enterSystem, enterTitle, exitBoundary, exitCloud, exitComma, exitContainer, exitDiagram, exitEnterprise_boundary, exitFooter, exitInclude, exitL2_title, exitLayout, exitPerson_ext, exitPerson, exitRelationship, exitStatement, exitSystem_boundary, exitSystem_ext, exitSystem, exitTitle`

    - ### Methods inherited from interface org.thewonderlemming.c4plantuml.grammars.C4L3ParserListenerDecorator

      `enterBoundary, enterCloud, enterComma, enterComponent, enterContainer_boundary, enterContainer, enterDiagram, enterEnterprise_boundary, enterFooter, enterInclude, enterL3_title, enterLayout, enterPerson_ext, enterPerson, enterRelationship, enterStatement, enterSystem_ext, enterSystem, enterTitle, exitBoundary, exitCloud, exitComma, exitComponent, exitContainer_boundary, exitContainer, exitDiagram, exitEnterprise_boundary, exitFooter, exitInclude, exitL3_title, exitLayout, exitPerson_ext, exitPerson, exitRelationship, exitStatement, exitSystem_ext, exitSystem, exitTitle`

- - ### Constructor Detail

    - #### C4BaseListener

          public C4BaseListener()

  - ### Method Detail

    - #### enterEveryRule

          public void enterEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)

      Enters a parse tree.

      Does nothing, by default. You have to override it if you want to add custom behavior.

      Specified by:
        `enterEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### exitEveryRule

          public void exitEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)

      Exits a parse tree.

      Does nothing, by default. You have to override it if you want to add custom behavior.

      Specified by:
        `exitEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### getDecoratedC4L1ParserListener

          public org.thewonderlemming.c4plantuml.grammars.generated.C4L1ParserListener getDecoratedC4L1ParserListener()

      Description copied from interface: `C4L1ParserListenerDecorator`
      returns the instance of the `C4L1ParserListener` being decorated.
      Specified by:
        `getDecoratedC4L1ParserListener` in interface `C4L1ParserListenerDecorator`
      Returns:
        the decorated `C4L1ParserListener`.

    - #### getDecoratedC4L2ParserListener

          public org.thewonderlemming.c4plantuml.grammars.generated.C4L2ParserListener getDecoratedC4L2ParserListener()

      Description copied from interface: `C4L2ParserListenerDecorator`
      returns the instance of the `C4L2ParserListener` being decorated.
      Specified by:
        `getDecoratedC4L2ParserListener` in interface `C4L2ParserListenerDecorator`
      Returns:
        the decorated `C4L2ParserListener`.

    - #### getDecoratedC4L3ParserListener

          public org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener getDecoratedC4L3ParserListener()

      Description copied from interface: `C4L3ParserListenerDecorator`
      returns the instance of the `C4L3ParserListener` being decorated.
      Specified by:
        `getDecoratedC4L3ParserListener` in interface `C4L3ParserListenerDecorator`
      Returns:
        the decorated `C4L3ParserListener`.

    - #### visitErrorNode

          public void visitErrorNode(org.antlr.v4.runtime.tree.ErrorNode node)

      Visits a `ErrorNode`.

      Does nothing, by default. You have to override it if you want to add custom behavior.

      Specified by:
        `visitErrorNode` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### visitTerminal

          public void visitTerminal(org.antlr.v4.runtime.tree.TerminalNode node)

      Visits a `TerminalNode`.

      Does nothing, by default. You have to override it if you want to add custom behavior.

      Specified by:
        `visitTerminal` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

Copyright © 2020. All rights reserved.